package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.clean.service.KuaiShouAccountCleanService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class KuaiShouAccountCleanJob {

    @Resource
    KuaiShouAccountCleanService kuaiShouAccountCleanService;

    /**
     * 账户清理
     *
     * @param
     * @return
     * @throws
     * @author ZZY
     */
    @XxlJob("AccountClean")
    public void execute() throws Exception {
        try {
            kuaiShouAccountCleanService.cleanAccount();
        } catch (Exception e) {
            log.info("清理完成完成");
        }

    }
}
